> ## Documentation Index
> Fetch the complete documentation index at: https://developer.transactbridge.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Payment Link

> This API is used to create a payment link to collect payment from the end customer. Response of this API contains the payURL to which the customer needs to be redirectd. Once the customer lands on the checkout page and makes the paymentnt through the selected payment channel, the customer is redirect back to the partner's returnUrl and the partner gets a webhook call for a successful credit of the same deposit. The partner then need to send required verification details for the payment using [Upload Payment Verification Details API](/api-reference/pacb/upload-payment-verification-details).

Payment status and transaction verificaiton status can be found using [Get Transaction API](/api-reference/transaction/get-transaction).



## OpenAPI

````yaml /api-reference/pacb/pacb.json post /payment/v1.0/createPaymentLink
openapi: 3.0.3
info:
  title: PACB API
  description: PACB API
  version: 1.0.0
servers:
  - url: https://sandbox-api.transactbridge.com
    description: Sandbox Environment
  - url: https://api.transactbridge.com
    description: Production Environment
security:
  - ApiKeyAuth: []
    SignatureAuth: []
paths:
  /payment/v1.0/createPaymentLink:
    post:
      tags:
        - PACB
      summary: Create Payment Link
      description: >-
        This API is used to create a payment link to collect payment from the
        end customer. Response of this API contains the payURL to which the
        customer needs to be redirectd. Once the customer lands on the checkout
        page and makes the paymentnt through the selected payment channel, the
        customer is redirect back to the partner's returnUrl and the partner
        gets a webhook call for a successful credit of the same deposit. The
        partner then need to send required verification details for the payment
        using [Upload Payment Verification Details
        API](/api-reference/pacb/upload-payment-verification-details).


        Payment status and transaction verificaiton status can be found using
        [Get Transaction API](/api-reference/transaction/get-transaction).
      operationId: createPaymentLink
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              required:
                - quoteAmount
                - quoteCurrCode
                - returnUrl
                - referenceId
              properties:
                email:
                  type: string
                  description: Customer's email. Require this to send an invoice.
                quoteAmount:
                  type: string
                  description: Amount that needs to be collected from end user
                quoteCurrCode:
                  type: string
                  description: Base currency of the **`quoteAmount`**
                phoneNo:
                  type: string
                  description: >-
                    The customer's Indian phone number in the format of
                    +91-XXXXXXXX
                name:
                  type: string
                  description: Name of the customer
                  format: AllowedString
                returnUrl:
                  type: string
                  description: >-
                    This URL is needed to redirect the user after the session is
                    completed. The end customer will be redirected to this URL
                    with the status of the session.
                referenceId:
                  type: string
                  description: >-
                    This is a partner ID to map a billing session with their
                    generated ID. This cannot be the same for two sessions.
                  format: ReferenceId
                meta:
                  type: object
                  description: >-
                    To add meta params in the session. They will be passed in
                    the webhook and query API as well.
                  properties:
                    param1:
                      type: string
                      maxLength: 256
                      description: String with max length of 256 characters.
                    param2:
                      type: string
                      maxLength: 256
                      description: String with max length of 256 characters.
                    param3:
                      type: string
                      maxLength: 256
                      description: String with max length of 256 characters.
      responses:
        '200':
          description: Contains the sessionId and URL.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/createPaymentRequest'
components:
  schemas:
    createPaymentRequest:
      type: object
      properties:
        status:
          type: string
          description: The response from the API
        sub_status:
          type: string
          description: Used for internal purposes only
        data:
          type: object
          description: Contains the sessionId and URL.
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: x-api-key
      description: Merchant API Key
    SignatureAuth:
      type: apiKey
      in: header
      name: x-signature
      description: Generated request signature

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.